package com.adealink.weparty.room.micseat.dispatcenter

import android.content.Context
import android.util.AttributeSet
import com.adealink.weparty.room.R
import com.adealink.weparty.room.micseat.decor.AvatarDecorView
import com.adealink.weparty.room.micseat.decor.NameDecorView

class DispatchCenterGuestSeatView @JvmOverloads constructor(
    context: Context,
    attrs: AttributeSet? = null,
    defStyleAttr: Int = 0,
) : DispatchCenterSeatView(context, attrs, defStyleAttr) {

    override fun initViews() {
        super.initViews()
        addDecorView(AvatarDecorView(dynamicLayers, emptyResId = R.drawable.room_micseat_seat_guest_unlock_ic))
        addDecorView(NameDecorView(dynamicLayers))
    }

}